/**
 * \file kernel_config.h
 * \brief Параметры компиляции ядра для AXCode CPU
 * \details
 */

#pragma once


/**
 * \brief Включить текущие время и дату в сообщения о событиях и ошибках
 * терминала ядра
 * \details
 * Возможные значения:
 * - 1 - Включить
 * - 0 - Отключить
 * 
 * Отключение сократит длину сообщений о событиях и ошибках на пару десятков
 * символов 
 */
#define DEBUG_EVENTS_INCLUDE_RTC (1)


/**
 * \brief Включить отладочные сообщения задач Modbus
 * \details
 * Возможные значения:
 * - 1 - Включить
 * - 0 - Отключить
 * 
 * Включение добавляет в задачи Modbus вывод отладочных событий и ошибок
 */
#define DEBUG_TASK_MODBUS (0)
